Firefox builds on Ubuntu Oneiric

by Abhishek Bhatnagar

Gnome Shell on Fedora 16 has been very unpleasant lately, so I decided to dual-boot to Ubuntu Oneiric. Once here, I had to setup my dev environment again. As opposed to a previous post which listed the build requiremens for Fedora, here they are for Ubuntu Oneiric.

sudo apt-get install mesa-common-dev, libiw-dev, libcurb-gnutls-dev, libasound2-dev, yasm, libnotify-dev, autoconf2.13, libgtk2.0-dev

Oneiric comes with libgtk3.0 and autoconf3+ by default, so installing the packages above will change the aliases ‘libgtk’ and ‘autoconf’ to older versions. So if you’re using the newer packages for something else, you might want to be careful and do manual installs.

Advertisements